///
/// Vertical rhythm related variables
///

// Default fonts
$base-font-family: 'DaxPro', sans-serif !default;
$base-font-weight: 300 !default;
$cursive-font-family: 'Georgia', serif !default;
$monospace-font-family: 'Courier', monospace !default;
$ui-font-family: $base-font-family !default;

// The font size set on the root html element.
$base-font-size: 14px !default;

// The base line height determines the basic unit of vertical rhythm.
$base-line-height: 20px !default;

// The length unit in which to output vertical rhythm values.
// Supported values: px, em, rem.
$base-unit: 'rem' !default;
$rhythm-unit: 'rem' !default;
$rem-with-px-fallback: false !default;

$default-rhythm-border-width: 1px !default;
$default-rhythm-border-style: solid !default;
$default-border-radius: 4px !default;

// The font sizes for h1-h6.
$h1-font-size: 36px !default;
$h2-font-size: 24px !default;
$h3-font-size: 20px !default;
$h4-font-size: 18px !default;
$h5-font-size: 14px !default;
$h6-font-size: 10px !default;

// The amount lists and blockquotes are indented.
$indent-amount: 40px !default;

// The following variable controls whether normalize-scss will output
// font-sizes, line-heights and block-level top/bottom margins that form a basic
// vertical rhythm on the page, which differs from the original Normalize.css.
// However, changing any of the variables above will cause
// $normalize-vertical-rhythm to be automatically set to true.
$normalize-vertical-rhythm: false !default;

// The distance between paragraphs
$text-spacing: $base-line-height !default;

$font-sizes: (
  tiny: 10px,
  small: 12px,
  normal: $base-font-size,
  large: 16px,
  huge: 48px,
  giant: 64px,
  h1: $h1-font-size,
  h2: $h2-font-size,
  h3: $h3-font-size,
  h4: $h4-font-size,
  h5: $h5-font-size,
  h6: $h6-font-size
) !default;


///
/// Predefined colors
///

$text-colors: (
  'normal':   color('black'),
  'dark':     color('tertiary'),
  'light':    color('secondary'),
  'bright':   color('secondary'),
  'inverse':  color('white'),

  'active':   color('cyan'),
  'opaque':   color('black', 'alpha', 80),

  'link':     color('cyan'),
  'hover':    color('blue'),
  'button':   color('white'),

  'alert':    color('red'),
  'error':    color('red'),
  'warning':  color('orange'),
  'success':  color('green'),
  'info':     color('cyan'),
) !default;


$background-colors: (
  'normal':       color('primary'),
  'window':       color('white'),
  'body':         color('white'),
  'control':      color('white'),

  'button':       color('cyan'),
  'selected':     color('cyan'),
  'hover':        color('blue'),

  'primary':      color('blue'),
  'default':      color('blue'),
  'success':      color('green'),
  'error':        color('red'),
  'alert':        color('red'),
  'warning':      color('orange'),
  'info':         color('cyan'),
) !default;


$border-colors: (
  'dark':     color('tertiary'),
  'normal':   color('secondary'),
  'light':    color('primary'),

  'input':    color('secondary'),
  'button':   color('cyan'),
  'inverse':  color('white'),
  'selected': color('cyan'),
  'hover':    color('blue'),

  'primary':  color('blue'),
  'alert':    color('red'),
  'error':    color('red'),
  'warning':  color('orange'),
  'success':  color('green'),
  'info':     color('cyan'),
) !default;


///
/// Responsive breakpoints
///

$breakpoints: (
  'small': (min-width: 320px, max-width: 767px),
  'medium': (min-width: 768px, max-width: 1279px),
  'large': (min-width: 1280px),
) !default;

@include create-global('breakpoint', $breakpoints);


///
/// Application specific
///

$application: (
  titlebar: (
    height: 1,
  ),

  header: (
    height: 3.5,
  ),

  background: (
    color: map-get($background-colors, 'normal'),
  ),

  scrollbar: (
    size: 9px,
  ),
) !default;
